Bug 688305 - Update notification period should be shorter for pre-releases
Summary: Update notification period should be shorter for pre-releases
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedNTH
Depends On:
Blocks: F15Beta-accepted, F15BetaFreezeExcept
TreeView+ depends on / blocked
 
Reported: 2011-03-16 19:02 UTC by Adam Williamson
Modified: 2012-08-07 15:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:11:18 UTC
metherid: fedora_requires_release_note?


Attachments (Terms of Use)

Description Adam Williamson 2011-03-16 19:02:35 UTC
The gsettings key org.gnome.settings-daemon.plugins.updates / frequency-updates-notification sets the frequency at which users will be notified of available (non-security) updates. For F14, the equivalent gconf key was set to 1 day (in seconds). For F15, it's now set to 1 week. This is apparently per direction from the GNOME design team.

I think this is at least partly a distro policy issue, not a pure UI design issue, and QA feels that certainly during the pre-release period, 1 day is a more appropriate notification schedule than 1 week: we want people testing the pre-release to be updating more often than every week. Could this value be changed to 1 day at least up until release time?

If the change to once per week sticks for the release, this should be mentioned in release notes, I think.

Comment 1 James Laska 2011-03-16 19:25:30 UTC
Thanks for raising this change Adam.  Our current updates system relies on Karma feedback for updates to get into 'stable' (or 'updates-testing' for critpath packages).  If the interval is now 1 week, I'm worried we are increasing the test feedback delay from contributors.  With our already tight release cycle, my thought is we'd want feedback more closely coupled with the development.

Is there any way we can change the interval for Alpha+Beta to be daily, but weekly for the final release?

Add to F15Beta proposed list so we can at least have a decision before Beta release.

Comment 2 Adam Williamson 2011-03-18 17:26:41 UTC
Discussed at 2011-03-18 blocker review meeting. Accepted as an NTH issue on the basis that if we decide to change policy that's a change we can take through freeze, but actual discussion of whether to change should take place elsewhere, probably desktop list to start with.

Comment 3 Colin Walters 2011-03-18 17:49:30 UTC
(In reply to comment #1)

> Is there any way we can change the interval for Alpha+Beta to be daily, but
> weekly for the final release?

From an engineering perspective that makes sense to me; though we have to be careful with changes like this that are only on right up until the final release, since they mean we aren't testing what we're going to ship, and someone has to remember to flip all of them back.

Comment 4 Matt McCutchen 2011-03-28 00:55:25 UTC
(In reply to comment #2)
> actual discussion of whether to change should take place elsewhere,
> probably desktop list to start with.

https://lists.fedoraproject.org/pipermail/desktop/2011-March/007044.html

Comment 5 Rahul Sundaram 2011-04-07 08:28:54 UTC
The change to one week for non-security updates need a release note.  Nominating

Comment 6 Fedora End Of Life 2012-08-07 15:11:22 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.